> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nonce.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bitcoin Metrics

> Return a current snapshot of Bitcoin mining market metrics including price, hashprice, network hashrate, and difficulty.



## OpenAPI

````yaml /api-reference/openapi-v2.json get /public-api/v2/bitcoin/metrics
openapi: 3.1.0
info:
  title: Nonce Public API
  description: Nonce Public API
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.nonce.app
    description: Production server
security: []
tags: []
paths:
  /public-api/v2/bitcoin/metrics:
    get:
      tags:
        - Bitcoin
      summary: Get Bitcoin Metrics
      description: >-
        Return a current snapshot of Bitcoin mining market metrics including
        price, hashprice, network hashrate, and difficulty.
      operationId: GetBitcoinMetrics
      parameters: []
      responses:
        '200':
          description: Current Bitcoin mining market snapshot
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      bitcoin_price:
                        type: number
                        description: Current Bitcoin price in USD
                        example: 62500
                      hashprice_usd:
                        type: number
                        description: Current hashprice in USD per PH/s per day
                        example: 48.5
                      hashprice_btc:
                        type: number
                        description: Current hashprice in BTC per PH/s per day
                        example: 0.000776
                      network_hashrate:
                        type: number
                        description: Current network hashrate in H/s
                        example: 650000000000000000000
                      network_difficulty:
                        type: number
                        description: Current network difficulty
                        example: 88100000000000
                      period:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        description: Data observation time
                    required:
                      - bitcoin_price
                      - hashprice_usd
                      - hashprice_btc
                      - network_hashrate
                      - network_difficulty
                      - period
                    title: BitcoinMetrics
                  error:
                    type: 'null'
                    example: null
                required:
                  - success
                  - data
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: 'null'
                    example: null
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        properties:
                          field_errors:
                            type: array
                            items:
                              type: object
                              properties:
                                path:
                                  type: string
                                message:
                                  type: string
                              required:
                                - path
                                - message
                              additionalProperties: false
                        additionalProperties: {}
                      traceId:
                        type: string
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - data
                  - error
                additionalProperties: false
              example:
                success: false
                data: null
                error:
                  code: INTERNAL_SERVER_ERROR
                  message: Internal server error

````